portability
Get portability id
Requires scopes: exports:download
GET
/
api
/
portability
/
bundles
/
{id}
Get portability id
curl --request GET \
--url https://evalgate.com/api/portability/bundles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/portability/bundles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/portability/bundles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema": "evalgate.portability.bundle",
"createdAt": "<string>",
"assets": [
{
"provenance": {},
"version": "<string>",
"kind": "prompt",
"contentHash": "<string>",
"canonicalRef": "<string>",
"dependencies": [
{
"required": true,
"canonicalRef": "<string>",
"expectedContentHash": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"historicalEvidence": [
true
],
"content": true,
"calibrationInterpretation": {}
}
],
"bundleHash": "<string>",
"bundleVersion": "1.0.0",
"compatibilityVersion": 123,
"bundleId": "<string>",
"sourceOrganization": {
"policy": {
"classification": "public",
"requiredScopes": [
"<string>"
],
"allowCrossOrganization": true,
"allowedDestinationOrganizationIds": [
"<string>"
],
"requiresSignature": true
},
"id": "<string>"
},
"dependencyOrder": [
"<string>"
],
"redactionManifest": [
{
"reason": "<string>",
"action": "remove",
"canonicalRef": "<string>",
"jsonPointer": "<string>",
"originalValueHash": "<string>"
}
],
"signature": {
"value": "<string>",
"algorithm": "Ed25519",
"keyId": "<string>",
"publicKey": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Available options:
evalgate.portability.bundle Show child attributes
Show child attributes
Available options:
1.0.0 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get portability id
